Debian Bug report logs - #684979
libjboss-classloader-java: Compatibility patch to fix FTBFS with openjdk-7

version graph

Package: libjboss-classloader-java; Maintainer for libjboss-classloader-java is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for libjboss-classloader-java is src:libjboss-classloader-java.

Reported by: James Page <james.page@ubuntu.com>

Date: Wed, 15 Aug 2012 11:45:02 UTC

Severity: serious

Tags: jessie, patch, sid

Found in version libjboss-classloader-java/2.0.6.GA-2

Fixed in version libjboss-classloader-java/2.0.6.GA-3

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, james.page@ubuntu.com, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#684979; Package libjboss-classloader-java. (Wed, 15 Aug 2012 11:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Page <james.page@ubuntu.com>:
New Bug report received and forwarded. Copy sent to james.page@ubuntu.com, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 15 Aug 2012 11:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Page <james.page@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libjboss-classloader-java: Compatibility patch to fix FTBFS with openjdk-7
Date: Wed, 15 Aug 2012 12:41:06 +0100
[Message part 1 (text/plain, inline)]
Package: libjboss-classloader-java
Version: 2.0.6.GA-2
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu quantal ubuntu-patch openjdk-7-transition

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Dear Maintainer,

In Ubuntu, the attached patch was applied to achieve the following:

  * Fix FTBFS with openjdk-7 as default java (LP: #1009465):
    - d/p/java7-compat.patch: Compatiblity patch for Java 7.

Erasure semantics are stricter in Java 7; this patch hits the code with
a hammer to avoid the compilation issue and is pretty ugly but works.

Thanks for considering the patch.


- -- System Information:
Debian Release: wheezy/sid
  APT prefers quantal-updates
  APT policy: (500, 'quantal-updates'), (500, 'quantal-security'), (500, 'quantal')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.5.0-10-generic (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJQK4rRAAoJEL/srsug59jDy3QP/0kx0TWeH0AWd66aE4Cd3w/Y
XW4bZ4dDCrD/Q11wJnDexZD9iT0GB6fZQjIQcPUucb88dfXPWIsVqX7SEBinxgZ9
1SajReh8CHFE7nZDFfVJ+v8jfu8pi2RXcHpc3sw1/PYx31pazqnRs1Vb9FZrLP7z
UHSAJ1a4AGr/z0xFDO4ssW33vGd7iO1AI5WJ6+w3P/UOU3ImVpKs0zPFfXCmL68Q
RrEfCAuuDTkJaPvmUQryDsOHigLCKp/7QSYlh1vPNu9YjGLCSxw8AOpkVFrIsXWQ
HGo7+EQnknFGISh7OqKASBh7Rs2QZ15DOkfEVMtgIt2is7yxrL+eV4fJn86uhVLq
qo7yZ4TUo4Xg723E4D+cn4zjU5EcZshH2m7CXwfaFU5Eb3nceRpnYQyhsMWhl9rI
0qimDs/EcYP1c+W792fDS0Qn8vnf/9doVjjZGWYPqZtNOmep7vbqFOJ3xYHXMLrr
N2k/NFfYhBSkGN3vvXuOsI1iXCMweh5HG6JVYKI5en2zcNpBQ2EQywmOHKqc9qPb
MwBN+hzptjGLcblGzmeeebJps9K/hKZdcwcO9d7QNcND7cs7WyvZrB1h1o75EAQU
OodfIxbfxgN+MXBvR/VAM8g4qm3QR7GouGLOkMxeSQCasmzJsmE0PgMqM5Qdjdlz
uGGLBCwiOSFKkzWur7Wt
=XNJk
-----END PGP SIGNATURE-----
[libjboss-classloader-java_2.0.6.GA-2ubuntu1.debdiff (text/x-diff, attachment)]

Severity set to 'serious' from 'normal' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Tue, 14 May 2013 16:21:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#684979; Package libjboss-classloader-java. (Tue, 14 May 2013 16:25:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 14 May 2013 16:25:20 GMT) Full text and rfc822 format available.

Message #12 received at 684979@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 676441@bugs.debian.org, 679365@bugs.debian.org, 678131@bugs.debian.org, 678380@bugs.debian.org, 683502@bugs.debian.org, 683512@bugs.debian.org, 683519@bugs.debian.org, 683522@bugs.debian.org, 683525@bugs.debian.org, 683537@bugs.debian.org, 683543@bugs.debian.org, 683550@bugs.debian.org, 684015@bugs.debian.org, 684018@bugs.debian.org, 684022@bugs.debian.org, 684154@bugs.debian.org, 684155@bugs.debian.org, 684162@bugs.debian.org, 684163@bugs.debian.org, 684165@bugs.debian.org, 684278@bugs.debian.org, 684289@bugs.debian.org, 684296@bugs.debian.org, 684305@bugs.debian.org, 684378@bugs.debian.org, 684384@bugs.debian.org, 684979@bugs.debian.org, 684980@bugs.debian.org, 686785@bugs.debian.org, 688127@bugs.debian.org, 688138@bugs.debian.org, 688208@bugs.debian.org
Subject: Transition package to use OpenJDK7 as default java implementation
Date: Tue, 14 May 2013 18:21:50 +0200
[Message part 1 (text/plain, inline)]
Control: severity -1 serious


Dear Maintainer,

OpenJDK6 support will be dropped from Debian. Hence the severity of this
bug is release critical now. Please transition your package to use
OpenJDK7 as the default java implementation for Jessie. In most cases a
patch has already been provided for the transition. Please feel free to
ask questions about this bug report or the transition in general on the
debian-java mailing list.

For the Debian Java Team

Markus Koschany

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Wed, 15 May 2013 11:30:09 GMT) Full text and rfc822 format available.

Added tag(s) sid and jessie. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 03 Jun 2013 10:15:32 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Fri, 28 Jun 2013 13:51:17 GMT) Full text and rfc822 format available.

Notification sent to James Page <james.page@ubuntu.com>:
Bug acknowledged by developer. (Fri, 28 Jun 2013 13:51:18 GMT) Full text and rfc822 format available.

Message #21 received at 684979-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 684979-close@bugs.debian.org
Subject: Bug#684979: fixed in libjboss-classloader-java 2.0.6.GA-3
Date: Fri, 28 Jun 2013 13:48:13 +0000
Source: libjboss-classloader-java
Source-Version: 2.0.6.GA-3

We believe that the bug you reported is fixed in the latest version of
libjboss-classloader-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684979@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated libjboss-classloader-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 15 May 2013 08:11:03 +0200
Source: libjboss-classloader-java
Binary: libjboss-classloader-java
Architecture: source all
Version: 2.0.6.GA-3
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 libjboss-classloader-java - JBoss Classloader
Closes: 684979
Changes: 
 libjboss-classloader-java (2.0.6.GA-3) unstable; urgency=low
 .
   * Team upload.
   * Add compatibility patch to fix FTBFS with OpenJDK7. Thanks to James Page
     for providing it. (Closes: #684979)
   * Bump Standards-Version to 3.9.4, no changes needed.
Checksums-Sha1: 
 054344400b6663ac9b92ecb51894d7aa9c5ca211 2424 libjboss-classloader-java_2.0.6.GA-3.dsc
 d0d90bed8a3740850577b1d2f5a222518541306c 3946 libjboss-classloader-java_2.0.6.GA-3.debian.tar.gz
 6640b9fcf0fa2f98d296fcedad116f0e46e33a8f 212992 libjboss-classloader-java_2.0.6.GA-3_all.deb
Checksums-Sha256: 
 95e92e34fa356c049496ea8be73d56c5bd0a4805d69fb759aa67dafe71779d80 2424 libjboss-classloader-java_2.0.6.GA-3.dsc
 d551b2a4e0527045fda8ac29870f18aaf6242b31e1ec2c7755f393b09a6b3096 3946 libjboss-classloader-java_2.0.6.GA-3.debian.tar.gz
 4cce5db84fabac85893b38197efb628f374300e6238296a2b8dbbe16722e251b 212992 libjboss-classloader-java_2.0.6.GA-3_all.deb
Files: 
 b0649eaabdabada5e7a24348120aae59 2424 java optional libjboss-classloader-java_2.0.6.GA-3.dsc
 879e2e1d0e30c4e2778ae057bc18d33c 3946 java optional libjboss-classloader-java_2.0.6.GA-3.debian.tar.gz
 81b4dabf5959440e20d73a4670b8f01c 212992 java optional libjboss-classloader-java_2.0.6.GA-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRzZIYAAoJEAVLu599gGRCR8gP/AkWTkgmHal0YJF6E+t9pksM
fXo1w4i8f/rTnfx9MxcxbDQbcUQKnwMjLTMTGKguDkWNe2blG39qcBZ++rn1rJpt
7eqA6OzMI3rlQyRTa7QlrphFlqOT5dloXia+vrVq269R9MiovniYjfMBdpXTdfuF
eAi3w5alhunPwKASJaTYN336MWdxMhL130040+Ltk1oIEBQ7V08lcemK1HM4YGr5
5uXn9LL3D60UI9p4hVjtRdVYXH2KUHWmiQjk6wRV/4nu3A3nxNBUDKfxQ3Q4scIJ
Nckkk+HZAMidJ2i52oo38rOCEeazxIf+CGkuHeMbPQKuQkhX0jxS7M/Ro/ImF/6G
+QqgexgjT5YPL0PYclMqilVbWsrCYZ34rmx67t7Kn3b3xkruX/WBvkuBq0Gvleoo
6y8r68fIPwoZVTApXa6SMmy0kgKGbRecTidk0pPZw89QqroUP+GwCj0OA0KCbmlg
s0UiSvI7huVuFA/C7CXYPr3CzmNsKJXOq9o/4vltGuE0pZl3whwS377B57mWCBJC
xIcNkPo4GfxKUzFVeOHxDhI4jtZAvYK0cEKZvKVsiBioqXaVY7reeNBvP0gU8Wa/
DJxezvCy3dHi+DyBlQcwjizwFR+PQty8YwN6RcwW7gOg7zy3yk+iVo16o8mR0DI4
qe/I09X7bDQnxY92SA8f
=8VCe
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Aug 2013 07:38:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:03:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.